Subject: Re: Autodiscovery of git repositories from HTML

From: Jan Krüger <[email-masked]>
Date: Tue, 27 Oct 2009 14:32:29 +0100

> I have a web page which lives in a git repository so that it can be 
> easily mirrored.  I would like to use a "rel" link to the URL of the
> git repository so that it can be automatically discovered, like an
> RSS feed:
> 
> <link rel="alternate" type="???" href="http://example.com/.git"/>
> 
> Is there any existing convention as to what the type should be?

I don't think there is any such convention, since I don't think anyone
has done this before (but it would have interesting use cases).

Actually, I don't think rel="alternate" describes the relation well; a
repository isn't exactly an alternate version of the document.

If we don't care about the standard, we might want to use something like
the widely used rel="shortcut icon", e.g. rel="git repository".

Jan